<?php
	
	$link = 'admin';
	
	if(@$_POST['year']!=null)
	{
		$this->session->set_userdata('rok', $_POST['year']);
		$rok = $this->session->userdata['rok'];
	}
	else 
	{
		if (!isset($this->session->userdata['rok']))
		{
			$actual_year = date("Y");
			$this->session->set_userdata('rok', $actual_year);
			$rok = $this->session->userdata['rok'];
		} $rok = $this->session->userdata['rok'];
	}
	
	$rok_array = array();
	foreach($faktury as $f)
	{		
		if(!in_array($f['year'],$rok_array)) $rok_array[]=$f['year'];
	}
	
	echo '<b>ustaw rok</b><br />';
	echo '<form action="/'.$link.'/faktury" method="post">';
	echo '<table cellspacing="6">';
	echo '<tr><td>';									
	echo '<select name="year">';
		  foreach($rok_array as $r)
		  {
			  echo '<option value="'.$r.'"'; 
			  if ($r==$rok) echo 'selected="selected"'; 
			  echo '>'.$r.'</option>';	
		  } 	 
	echo '</select>';
	echo '</td><td>';										 
	echo '<input type="submit" value="wybierz" />';	 
	echo '</td></tr></table>';	 
	echo '</form>';																
	echo 'wybierz miesiąc za który chcesz zobaczyć fakturę: ';
	echo br(2);
	
	$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
	
	//print_r($faktury);
	foreach($faktury as $r)
	{
		if($r['year']==$rok)
		{
			echo '<div class="oplac_fakture"><a href="/payments/faktura_pdf/';
			if ($r['month']<10) echo '0';
			echo $r['month'].'/'.$r['year'].'" target="_blank">&nbsp; &nbsp;Zobacz fakturę za '.$months[$r['month']-1].'</a>';
			
			if($r['zaplacono'])
			 echo '<div style="text-align:right;float:right;width:100px;">opłacona&nbsp; &nbsp;</div>';
			else
			 echo '<div style="text-align:right;float:right;width:100px;"><a href="/platnosci_pl_controller/oplac_fakture/'.$r['id'].'">opłać fakturę</a>&nbsp; &nbsp;</div>';
			echo '</div>';
		}
	}
	echo '<br /><br /><br />';
?>